Bug 59930 - XM Full Binding project creating wrong tags
Summary: XM Full Binding project creating wrong tags
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Mac Add-in (show other bugs)
Version: Trunk
Hardware: PC Mac OS
: Normal normal
Target Milestone: 15.6
Assignee: Vincent Dondain [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-10-03 17:03 UTC by Chris Hamons
Modified: 2017-11-30 18:40 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Chris Hamons 2017-10-03 17:03:02 UTC
New ObjC binding project and swapping to full target framework is giving us:


    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <TargetFrameworkIdentifier>.NETFramework</TargetFrameworkIdentifier>

instead of:

    <UseXamMacFullFramework>True</UseXamMacFullFramework>


This really confused our build system.
Comment 2 Vincent Dondain [MSFT] 2017-11-28 20:30:56 UTC
PR https://github.com/xamarin/md-addins/pull/2704
Comment 3 xamarin-release-manager 2017-11-30 18:40:59 UTC
Fixed in version 7.4.0.752 (master)

Author: Vincent Dondain
Commit: 38e1298d6f71ce0fecb987176c584f927af8af6d (xamarin/md-addins)
Included in Commit: b8d4f2988cf47437eb81fa047016e8b1fed23bdc (mono/monodevelop)